org.eclipse.rdf4j.common.app.logging.logback

## Class LogConfigurator.LogReaderAction

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.core.joran.action.Action
    - - org.eclipse.rdf4j.common.app.logging.logback.LogConfigurator.LogReaderAction

- All Implemented Interfaces:
    ch.qos.logback.core.spi.ContextAware
  Enclosing class:
    LogConfigurator

      public class LogConfigurator.LogReaderAction
      extends ch.qos.logback.core.joran.action.Action

- - ### Field Summary

    - ### Fields inherited from class ch.qos.logback.core.joran.action.Action

      `ACTION_CLASS_ATTRIBUTE, CLASS_ATTRIBUTE, FILE_ATTRIBUTE, KEY_ATTRIBUTE, NAME_ATTRIBUTE, PATTERN_ATTRIBUTE, SCOPE_ATTRIBUTE, VALUE_ATTRIBUTE`

    - ### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

      `context`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogReaderAction()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `begin(ch.qos.logback.core.joran.spi.InterpretationContext ec, String name, Attributes attributes)`
    `void` | `end(ch.qos.logback.core.joran.spi.InterpretationContext ec, String arg1)`

    - ### Methods inherited from class ch.qos.logback.core.joran.action.Action

      `body, getColumnNumber, getLineColStr, getLineNumber, toString`

    - ### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

      `addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LogReaderAction

          public LogReaderAction()

  - ### Method Detail

    - #### begin

          public void begin(ch.qos.logback.core.joran.spi.InterpretationContext ec,
                            String name,
                            Attributes attributes)

      Specified by:
        `begin` in class `ch.qos.logback.core.joran.action.Action`

    - #### end

          public void end(ch.qos.logback.core.joran.spi.InterpretationContext ec,
                          String arg1)

      Specified by:
        `end` in class `ch.qos.logback.core.joran.action.Action`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.